%define upstream_name    DBD-MariaDB
%define upstream_version 1.22
#define Werror_cflags %%nil

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    MySQL-Perl bindings
License:    GPL
Group:      Development/Databases
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz

# (tmb) filter out deps on self
%global __requires_exclude ^perl\\(DBD\\:\\:mysql\\)

BuildRequires: perl(B)
BuildRequires: perl(Config)
BuildRequires: perl(DBI) >= 1.608.0
BuildRequires: perl(DBI::Const::GetInfoType)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::CheckLib) >= 1.120.0
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(bigint)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: mysql-devel
BuildRequires: pkgconfig(openssl)
BuildRequires: perl-devel
BuildRequires: pkgconfig(zlib)
Provides:   perl-MariaDBl

%description
DBD::mariaDB is an interface driver for connecting the DBMS independent Perl API
DBI to the MariaDB DBMS. When you want to use MariaDB from within perl, DBI and
DBD::mariaDB are your best choice: Unlike "mysqlperl", another option, this is
based on a common standard, so your sources will easily be portable to other
DBMS's.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%serverbuild

%__perl Makefile.PL INSTALLDIRS=vendor
#--testhost=127.0.0.1 --testport=22222
%make_build OPTIMIZE="$CFLAGS"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorarch}/*
%{_mandir}/*/*

%changelog
* Tue Jun 07 2022 umeabot <umeabot> 1.220.0-2.mga9
+ Revision: 1862855
- Rebuild for Perl 5.36

* Mon May 09 2022 tv <tv> 1.220.0-1.mga9
+ Revision: 1857225
- update to 1.22
- Renamed repo according to the pkg name thus fixing mgarepo co
+ mokraemer <mokraemer>
- added package perl-DBD-mariadb
- Created package structure for perl-DBD-mariadb.

